#version 130

uniform mat4 mvMat;
uniform mat4 projMat;
uniform mat4 jointMat;

in vec3 inVertex;
in vec2 inTexCoord;
in vec3 inColor;
in vec3 inNormal;
out vec4 color;
out vec2 texCoord;

void main(void) 
{
	mat4 jointMvMat = mvMat * jointMat;
	mat4 finalMatrix = projMat * jointMvMat;
	gl_Position = finalMatrix * vec4(inVertex, 1.0);
	color = vec4(inColor, 1.0);
}
