
struct PSInput
{
	float4 position : SV_POSITION;
	float2 uv : TEXCOORD;
	float3 vertexColor : COLOR;
};

cbuffer ConstantBuffer : register(b0)
{
	float3 pos;
	float3 scale;
};

Texture2D texture0 : register(t0);
SamplerState g_sampler : register(s0);

PSInput VSMain(float3 inVertex : POSITION, float2 inTexCoord : TEXCOORD, float3 color : COLOR, float3 normal: NORMAL)
{
	PSInput result;

	result.position = (float4(scale, 1.0) * float4(inVertex, 1.0)) + float4(pos, 0.0);
	result.uv = inTexCoord;
	result.vertexColor = color;

	return result;
}

float4 PSMain(PSInput input) : SV_TARGET
{
	float alpha = texture0.Sample(g_sampler, input.uv).r;
	float4 outColor = float4(input.vertexColor * float3(alpha, alpha, alpha), alpha);
	return outColor;
}
